import javax.swing.ImageIcon;
import javax.swing.JPanel;
import java.awt.BorderLayout;

public class BotoneraUltimoPiso extends Botonera implements DownRequest
{
	private Boton down;
	private JPanel view;
	public BotoneraUltimoPiso(ControlUnit cu, int location)
	{
		super(cu, location);
		down = new Boton(new ImageIcon("downOff.png"), new ImageIcon("downOn.png"), this);
		view = new JPanel(new BorderLayout());
		view.add(floorIndication, BorderLayout.PAGE_START);
		view.add(down.getView(), BorderLayout.CENTER);
	}
	public boolean setRequest(String s_down)
	{
		boolean result = s_down.equals("D");
		if (result)
		{
			down.turnON();
			elevatorRequested();
		}
		return result;
	}
	public void setBotonNewDimension(int xy)
	{
		down.setNewDimension(xy);
	}
	public JPanel getView()
	{
		return view;
	}
	public void resetDownRequest()
	{
		down.turnOFF();
	}
	public boolean isDownRequested()
	{
		return down.getState();
	}
}