import javax.swing.*;
import javax.swing.border.Border;
import javax.swing.BorderFactory;
import java.awt.*;

public abstract class Botonera
{
	private ControlUnit controlUnit;
	private int location;
	protected JLabel floorIndicator;

	public Botonera(ControlUnit cu, int location)
	{
		controlUnit = cu;
		this.location = location; // 0 means in cabina
		floorIndicator = new JLabel("1");
		floorIndicator.setHorizontalAlignment(JLabel.CENTER);
		floorIndicator.setFont(new Font("Serif", Font.PLAIN, 40));
		/*Border blackline = BorderFactory.createLineBorder(Color.black);
		floorIndication.setBorder(blackline);*/

	}
	public int getLocation()
	{
		return location;
	}
	protected void elevatorRequested(int destination)
	{
		controlUnit.elevatorRequested(destination);
	}
	protected void elevatorRequestedCabina()
	{
		controlUnit.elevatorRequested();
	}
	public void updateFloorIndication(int floor)
	{
		floorIndicator.setText(Integer.toString(floor));
	}

	public abstract void setBotonNewDimension(int xy);		// In case the buttons need size adjustments
	public abstract JComponent getView();
}