import javax.swing.*;
import java.awt.event.*;

public class Boton implements ActionListener
{
    //#################################
	private boolean state;
	private Botonera botonera; // to let botonera know the new request.
	private BotonView view;

    //#################################
	public Boton (ImageIcon imageOff, ImageIcon imageOn, Botonera b)
	{
        state = false;
		botonera = b;
		view = new BotonView(imageOff,imageOn,this);
	}

    //#################################
	public void actionPerformed (ActionEvent event)
	{
		turnON();
		if(botonera instanceof BotoneraCabina)
			botonera.elevatorRequestedCabina();	// it can't be location
		else
			botonera.elevatorRequested(botonera.getLocation());
	}
	public void turnON()
	{
		state = true;
		view.setIconOn();
	}
	public void turnOFF()
	{
		state = false;
		view.setIconOff();
	}
	public void setNewDimension(int xy)
	{
		view.setNewDimension(xy);
	}
	public boolean getState()
	{
		return state;
	}
	public String toString()
	{
		return state?"1":"0";
	}
	public JButton getView()
	{
		return view.getView();
	}
}