import javax.swing.*;
import java.awt.*;

public abstract class Botonera
{
	//#################################
	private int location;
    private ControlUnit controlUnit;

	//#################################
	public Botonera(ControlUnit cu, int location)
	{
		controlUnit = cu;
		this.location = location; // 0 means in cabina
	}

    //#################################
	public int getLocation()
	{
		return location;
	}
	protected void elevatorRequested(int destination)
	{
		controlUnit.elevatorRequested(destination);
	}
	protected void elevatorRequestedCabina()
	{
		controlUnit.elevatorRequested();
	}
	public abstract void setFloorIndicator(int f_label);
	public abstract void setBotonNewDimension(int xy);		// In case the buttons need size adjustments
	public abstract JComponent getView();
}