import javax.swing.*;

public class BotoneraPisoIntermedio extends Botonera implements DownRequest, UpRequest
{
	//#################################
	private Boton up, down;
	private BotoneraView view;

	//#################################
	public BotoneraPisoIntermedio (ControlUnit cu, int location)
	{
		super (cu, location);
		up = new Boton(new ImageIcon("upOff.png"), new ImageIcon("upOn.png"), this);
		down = new Boton(new ImageIcon("downOff.png"), new ImageIcon("downOn.png"), this);
		view = new BotoneraView(1);
		view.addDoubleButton(up,down);
	}

	//#################################
	public void setBotonNewDimension(int xy)
	{
		up.setNewDimension(xy);
		down.setNewDimension(xy);
	}
	public void resetUpRequest()
	{
		up.turnOFF();
	}
    public void resetDownRequest()
    {
        down.turnOFF();
    }
    public void setFloorIndicator(int f_label)
    {
        view.setFloorIndicator(f_label);
    }
    public boolean isUpRequested()
	{
		return up.getState();
	}
	public boolean isDownRequested()
	{
		return down.getState();
	}
    public JPanel getView()
    {
        return view.getView();
    }
}
