import javax.swing.*;
import java.awt.*;

public class BotoneraView
{
    //#################################
    private JPanel view;
    private JLabel floorindicator;
    private GridBagConstraints grid;

    //#################################
    public BotoneraView(int f_label)
    {
        view = new JPanel(new GridBagLayout());

        floorindicator = new JLabel(Integer.toString(f_label));
        floorindicator.setHorizontalAlignment(JLabel.CENTER);
        floorindicator.setFont(new Font("Serif", Font.PLAIN, 40));

        grid = new GridBagConstraints();
        grid.fill = GridBagConstraints.HORIZONTAL;
        grid.weightx = 0.5;
        grid.gridx = 0;
        grid.gridy = 0;
        grid.gridwidth = 2;
        view.add(floorindicator, grid);
    }

    //#################################
    public void addSimpleButton(Boton btn1)
    {
        grid.fill = GridBagConstraints.HORIZONTAL;
        grid.weightx = 0.5;
        grid.gridx = 0;
        grid.gridy = 1;
        grid.gridwidth = 2;
        view.add(btn1.getView(),grid);
    }
    public void addDoubleButton(Boton btn1, Boton btn2)
    {
        grid.fill = GridBagConstraints.HORIZONTAL;
        grid.weightx = 0.5;
        grid.gridx = 0;
        grid.gridy = 1;
        grid.gridwidth = 1;
        view.add(btn1.getView(),grid);

        grid.fill = GridBagConstraints.HORIZONTAL;
        grid.weightx = 0.5;
        grid.gridx = 1;
        grid.gridy = 1;
        grid.gridwidth = 1;
        view.add(btn2.getView(),grid);
    }
    public void setFloorIndicator(int f_label)
    {
        floorindicator.setText(Integer.toString(f_label));
    }
    public JPanel getView()
    {
        return view;
    }
}
