import java.awt.event.*;
import java.util.Scanner;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;

public class ConfigMenuListener implements ActionListener{
    //#################################
    private Motor motor;

    //#################################
    public ConfigMenuListener(Motor m){
        motor = m;
    }

    //#################################
    public void actionPerformed(ActionEvent e){
        JMenuItem menuItem = (JMenuItem)(e.getSource());
        String text = menuItem.getText();
        if(text.equals("Speed")) {
            boolean ready = false;
            while(!ready)
            {
                Scanner scanner = new Scanner(JOptionPane.showInputDialog("Enter the new speed in [m/s]"));
                if(scanner.hasNextFloat())
                {
                    float data = scanner.nextFloat();
                    if((data >= 0)&&(data <= 10))
                        motor.setDeltaHight(data);
                    else if(data < 0)
                    	motor.setDeltaHight(0);
                    else
                    	motor.setDeltaHight(10);
                    ready = true;
                }
            }
        }
        if(text.equals("Pause Time")){
            boolean ready = false;
            while(!ready)
            {
                Scanner scanner = new Scanner(JOptionPane.showInputDialog("Enter the new pause time in [ms]"));
                if(scanner.hasNextInt())
                {
                    int data = scanner.nextInt();
                    if(data >= 0)
                        motor.setSleepTime(data);
                    else 
                        motor.setSleepTime(0);
                    ready = true;
                }
            }
        }
    }
}
