import java.util.Random;
import java.awt.Container;

public class Light
{
	//#################################
	private CajaAscensor shaft;
    private LightView view;
	private boolean light_on;

	//#################################
	public Light (CajaAscensor caja, double posX, double posY, double width, double height)
	{
        shaft = caja;
		view = new LightView(posX, posY, width, height);
		light_on = false;
	}

	//#################################
	public void setContainer(Container c, int index)
	{
	    view.setContainer(c, index);
	}
	public LightView getView()
	{
		return view;
	}
	public void turnOnLight()
	{
		light_on = true;
		view.turnOnLight();
	}
	public void turnOffLight()
	{
		light_on = false;
		view.turnOffLight();
	}
	public boolean isLightON()
	{
		return light_on;
	}
}
