import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionListener;
import java.awt.image.BufferedImage;

public class BotonView
{
    //#################################
    private ImageIcon imgOn, imgOff;
    private JButton view;

    //#################################
    public BotonView(ImageIcon iOff, ImageIcon iOn, ActionListener al)
    {
        imgOn   = iOn;
        imgOff  = iOff;
        view    = new JButton(imgOff);
        view.setPreferredSize(new Dimension(Math.max(imgOff.getIconWidth(),imgOn.getIconWidth()),Math.max(imgOff.getIconHeight(),imgOn.getIconHeight())));
        view.addActionListener(al);
    }

    //#################################
    public void setNewDimension(int dimension)
    {
        if((dimension < Math.max(imgOff.getIconWidth(),imgOn.getIconWidth()))&&(dimension < Math.max(imgOff.getIconHeight(),imgOn.getIconHeight())))
        {
            Image aux1 = imgOff.getImage();
            BufferedImage bi1 = new BufferedImage(dimension,dimension,BufferedImage.TRANSLUCENT);
            Graphics g1 = bi1.createGraphics();
            g1.drawImage(aux1,0,0,dimension,dimension,null);
            ImageIcon newIcon1 = new ImageIcon(bi1);
            g1.dispose();
            imgOff = newIcon1;

            Image aux2 = imgOn.getImage();
            BufferedImage bi2 = new BufferedImage(dimension,dimension,BufferedImage.TRANSLUCENT);
            Graphics g2 = bi2.createGraphics();
            g2.drawImage(aux2,0,0,dimension,dimension,null);
            ImageIcon newIcon2 = new ImageIcon(bi2);
            g1.dispose();
            imgOn = newIcon2;

            view.setIcon(imgOff);
            view.setPreferredSize(new Dimension(Math.max(imgOff.getIconWidth(),imgOn.getIconWidth()),Math.max(imgOff.getIconHeight(),imgOn.getIconHeight())));
        }
    }
    public void setIconOn()
    {
        view.setIcon(imgOn);
    }
    public void setIconOff()
    {
        view.setIcon(imgOff);
    }
    public JButton getView()
    {
        return view;
    }
}