import javax.swing.*;

public class BotoneraPrimerPiso extends Botonera implements UpRequest
{
	//#################################
	private Boton up;
	private BotoneraView view;

	//#################################
	public BotoneraPrimerPiso(ControlUnit cu, int location)
	{
		super(cu, location);
		up = new Boton(new ImageIcon("upOff.png"), new ImageIcon("upOn.png"), this);
		view = new BotoneraView(1);
		view.addSimpleButton(up);
	}

	//#################################
	public void setBotonNewDimension(int xy)
	{
		up.setNewDimension(xy);
	}
	public void resetUpRequest()
	{
		up.turnOFF();
	}
	public void setFloorIndicator(int f_label)
    {
        view.setFloorIndicator(f_label);
    }
	public boolean isUpRequested()
	{
		return up.getState();
	}
    public JPanel getView()
    {
        return view.getView();
    }
}