import javax.swing.*;

public class BotoneraUltimoPiso extends Botonera implements DownRequest
{
	//#################################
	private Boton down;
	private BotoneraView view;

	//#################################
	public BotoneraUltimoPiso(ControlUnit cu, int location)
	{
		super(cu, location);
		down = new Boton(new ImageIcon("downOff.png"), new ImageIcon("downOn.png"), this);
		view = new BotoneraView(1);
		view.addSimpleButton(down);
	}

	//#################################
	public void setBotonNewDimension(int xy)
	{
		down.setNewDimension(xy);
	}
	public void resetDownRequest()
	{
		down.turnOFF();
	}
    public void setFloorIndicator(int f_label)
    {
        view.setFloorIndicator(f_label);
    }
	public boolean isDownRequested()
	{
		return down.getState();
	}
    public JPanel getView()
    {
        return view.getView();
    }
}