import java.awt.*;
import java.awt.geom.Rectangle2D;

//#################################
public class SensorView extends Rectangle2D.Double
{
    //#################################
    private double xPos, width, height;
    private Color color;

    //#################################
    public SensorView(double x, float y, double w, double h)
    {
        xPos = x;
        width = w;
        height = h;
        setPosition(y);
        color = Color.WHITE;
    }

    //#################################
    public void setPosition(float position)
    {
        setFrame(xPos, position, width, height);
    }
    public void setColor(Color c)
    {
        color = c;
    }
    public void draw (Graphics2D g)
    {
        g.setColor(color);
        g.fill(this);
        g.setColor(Color.BLACK);
        g.draw(this);
    }
}
